Subject: Re: [PATCH v3 04/10] t983*: use prereq to check for Python-specific git-b4(1) support

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 30 May 2025 16:21:54 +0200

On Fri, May 30, 2025 at 10:08:15AM -0400, Todd Zullinger wrote:
> Patrick Steinhardt wrote:
> > The tests in t9835 and t9836 verify that git-b4(1) works with both
> > Python 2 and 3, respectively. To determine whether we have those Python
> > versions in the first place we create a wrapper script that directly
> > executes the git-b4(1) script with `python2` or `python3` binaries. We
> > then condition the execution of tests on whether that wrapper script can
> > be executed successfully.
> 
> s/b4/p4/ in the commit subject and message.
> 
> You did make me wonder if someone had added some sort of b4
> integration into git though. :)

D'oh. I use b4 all the time, which probably explains this.

> Tangentially, with Python 2 having gone EOL upstream in
> January 2022¹, how long does it make sense to keep
> supporting it?
> 
> Debian Bullseye² and RHEL 8³ both have python 3.9.  Are
> there systems in our targeted support matrix which do _not_
> have python3?

I don't think so.

> It's not something to fix for this patch, but perhaps if we
> no longer feel obligated to support python2, someone may
> choose to remove it from the code and simplify it a bit.

I wouldn't mind. We still have test coverage of Python 2 via the Ubuntu
20.04 CI job, so at least it's still getting tested. But that is not a
good enough reason to actually keep it around.

Anyway, fixed locally. I'll wait a bit for additional feedback though
before sending a new version. Thanks!

Patrick